Implements construction algorithms for a trimmed cylinder limited by two planes orthogonal to its axis. The result is a Geom_RectangularTrimmedSurface surface. A MakeTrimmedCylinder provides a framework for:
More...
#include <GC_MakeTrimmedCylinder.hxx>
|
| GC_MakeTrimmedCylinder (const gp_Pnt &P1, const gp_Pnt &P2, const gp_Pnt &P3) |
| Make a cylindricalSurface <Cyl> from Geom Its axis is <P1P2> and its radius is the distance between <P3> and <P1P2>. The height is the distance between P1 and P2.
|
|
| GC_MakeTrimmedCylinder (const gp_Circ &Circ, const Standard_Real Height) |
| Make a cylindricalSurface <Cyl> from gp by its base <Circ>. Its axis is the normal to the plane defined bi <Circ>. <Height> can be greater than zero or lower than zero. In the first case the V parametric direction of the result has the same orientation as the normal to <Circ>. In the other case it has the opposite orientation.
|
|
| GC_MakeTrimmedCylinder (const gp_Ax1 &A1, const Standard_Real Radius, const Standard_Real Height) |
| Make a cylindricalSurface <Cyl> from gp by its axis <A1> and its radius <Radius>. It returns NullObject if <Radius> is lower than zero. <Height> can be greater than zero or lower than zero. In the first case the V parametric direction of the result has the same orientation as <A1>. In the other case it has the opposite orientation.
|
|
const Handle< Geom_RectangularTrimmedSurface > & | Value () const |
| Returns the constructed trimmed cylinder. Exceptions StdFail_NotDone if no trimmed cylinder is constructed.
|
|
| operator const Handle< Geom_RectangularTrimmedSurface > & () const |
|
Standard_Boolean | IsDone () const |
| Returns true if the construction is successful.
|
|
gce_ErrorType | Status () const |
| Returns the status of the construction:
|
|
Implements construction algorithms for a trimmed cylinder limited by two planes orthogonal to its axis. The result is a Geom_RectangularTrimmedSurface surface. A MakeTrimmedCylinder provides a framework for:
- defining the construction of the trimmed cylinder,
- implementing the construction algorithm, and
- consulting the results. In particular, the Value function returns the constructed trimmed cylinder.
◆ GC_MakeTrimmedCylinder() [1/3]
GC_MakeTrimmedCylinder::GC_MakeTrimmedCylinder |
( |
const gp_Pnt & | P1, |
|
|
const gp_Pnt & | P2, |
|
|
const gp_Pnt & | P3 ) |
Make a cylindricalSurface <Cyl> from Geom Its axis is <P1P2> and its radius is the distance between <P3> and <P1P2>. The height is the distance between P1 and P2.
◆ GC_MakeTrimmedCylinder() [2/3]
Make a cylindricalSurface <Cyl> from gp by its base <Circ>. Its axis is the normal to the plane defined bi <Circ>. <Height> can be greater than zero or lower than zero. In the first case the V parametric direction of the result has the same orientation as the normal to <Circ>. In the other case it has the opposite orientation.
◆ GC_MakeTrimmedCylinder() [3/3]
Make a cylindricalSurface <Cyl> from gp by its axis <A1> and its radius <Radius>. It returns NullObject if <Radius> is lower than zero. <Height> can be greater than zero or lower than zero. In the first case the V parametric direction of the result has the same orientation as <A1>. In the other case it has the opposite orientation.
◆ operator const Handle< Geom_RectangularTrimmedSurface > &()
◆ Value()
Returns the constructed trimmed cylinder. Exceptions StdFail_NotDone if no trimmed cylinder is constructed.
The documentation for this class was generated from the following file: